Bio::DB::GFF::Aggregator::alignment(3)

NAME
Bio::DB::GFF::Aggregator::alignment -- Alignment aggregator

SYNOPSIS
  use Bio::DB::GFF;

  # Open the sequence database
  my $db      = Bio::DB::GFF->new( -adaptor => 'dbi:mysql',
                                   -dsn     => 'dbi:mysql:elegans42',
                                   -aggregator => ['alignment'],
                                 );

 -----------------------------
 Aggregator method: alignment
 Main method:       (none)
 Sub methods:       similarity, HSP
 -----------------------------

DESCRIPTION
Bio::DB::GFF::Aggregator::alignment is one of the default aggregators, and was written to be compatible with the C elegans GFF files. It aggregates raw "similarity" features into composite features of type "alignment". A better name for this class might be "gapped_alignment."

This aggregator does not insist that there be a single top-level feature that spans one end of the alignment to the other. As a result, it can produce truncated alignments if the entire alignment is not contained within the segment of interest.

  aggregate
 Title   : aggregate
 Usage   : $features = $a->aggregate($features,$factory)
 Function: aggregate a feature list into composite features
 Returns : an array reference containing modified features
 Args    : see L<Bio::DB::GFF::Aggregator>
 Status  : Public

Because of the large number of similarity features, the aggregate() method is overridden in order to perform some optimizations.

  method
 Title   : method
 Usage   : $aggregator->method
 Function: return the method for the composite object
 Returns : the string "alignment"
 Args    : none
 Status  : Public

  part_names
 Title   : part_names
 Usage   : $aggregator->part_names
 Function: return the methods for the sub-parts
 Returns : the list ("similarity","HSP")
 Args    : none
 Status  : Public